com.fasterxml.jackson.module.jaxb.ser

## Class DataHandlerJsonSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<DataHandler>
    - - com.fasterxml.jackson.module.jaxb.ser.DataHandlerJsonSerializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware, Serializable

    public class DataHandlerJsonSerializer
    extends com.fasterxml.jackson.databind.ser.std.StdSerializer<DataHandler>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
Constructor and Description
`DataHandlerJsonSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor, com.fasterxml.jackson.databind.JavaType typeHint)`
`com.fasterxml.jackson.databind.JsonNode` `getSchema(com.fasterxml.jackson.databind.SerializerProvider provider, Type typeHint)` Deprecated.
`void` `serialize(DataHandler value, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataHandlerJsonSerializer

    public DataHandlerJsonSerializer()

### Method Detail

#### serialize

    public void serialize(DataHandler value,
                          com.fasterxml.jackson.core.JsonGenerator jgen,
                          com.fasterxml.jackson.databind.SerializerProvider provider)
                   throws IOException,
                          com.fasterxml.jackson.core.JsonProcessingException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<DataHandler>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### acceptJsonFormatVisitor

    public void acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor,
                                        com.fasterxml.jackson.databind.JavaType typeHint)
                                 throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `acceptJsonFormatVisitor` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`
Overrides:
  `acceptJsonFormatVisitor` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<DataHandler>`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### getSchema

    @Deprecated
    public com.fasterxml.jackson.databind.JsonNode getSchema(com.fasterxml.jackson.databind.SerializerProvider provider,
                                                                         Type typeHint)

Deprecated.

Specified by:
  `getSchema` in interface `com.fasterxml.jackson.databind.jsonschema.SchemaAware`
Overrides:
  `getSchema` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<DataHandler>`